class CashierLoginLog < ApplicationRecord
  before_create :generate_custom_id

  belongs_to :cashier_station
  belongs_to :employee

  private
  def generate_custom_id
    self.cashier_login_log_id = SeedGenerator.generate_id(self.class.name, "CLO")
  end
end
